package cn.com.qmth.print.manage.enums;

import cn.com.qmth.print.manage.dto.EnumDto;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @Description: 分组类型
 * @author ting.yin
 * @date 2021年11月15日
 */
public enum GroupType {

    COURSE("课程", 1L),

    EXAM_SITE("考点", 2L),

    EXAM_ROOM("考场", 3L);

    private String name;

    private Long id;

    GroupType(String name) {
        this.name = name;
    }

    private GroupType(String name, Long id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public static GroupType getByName(String name) {
        for (GroupType r : GroupType.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

    /**
     * @return
     */
    public static List<EnumDto> listGroupType() {
        List<EnumDto> list = new ArrayList<>();
        for (GroupType value : GroupType.values()) {
            EnumDto dto = new EnumDto();
            dto.setId(value.getId());
            dto.setCode(value.name());
            dto.setName(value.getName());
            dto.setOrdinal(value.ordinal());
            list.add(dto);
        }
        return list;
    }

}
